﻿$ErrorActionPreference = 'Stop';

$packageName    = 'unity-ios'
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://download.unity3d.com/download_unity/ff3792e53c62/TargetSupportInstaller/UnitySetup-iOS-Support-for-Editor-2022.3.10f1.exe'
$checksum64     = '5a0aa0a75c0b3ca72785952a034af8e9176b834f97519d7ee3d688146ed82183'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
